#include <stdint.h>
#include "uart.h"
#define UART0 0x09000000UL
#define UART_DR (*(volatile uint32_t*)(UART0+0x00))
#define UART_FR (*(volatile uint32_t*)(UART0+0x18))

void uart_init(void){}
void uart_putc(char c){ while(UART_FR & (1<<5)); UART_DR = c; }
void uart_puts(const char* s){ while(*s) uart_putc(*s++); }
char uart_getc(void){ while(UART_FR & (1<<4)); return UART_DR; }